<?xml version="1.0" encoding="utf-8"?>
<!-- Generated by PRONEXUS WORKS -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink">
  <link:labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock" xlink:label="NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_PowerProductionUnitsForSaleCA" xlink:label="PowerProductionUnitsForSaleCA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_LeaseAndGuaranteeDepositsReceivedNCL" xlink:label="LeaseAndGuaranteeDepositsReceivedNCL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_GovernanceClimateChangeTextBlock" xlink:label="GovernanceClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_StrategyClimateChangeTextBlock" xlink:label="StrategyClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_RiskManagementClimateChangeTextBlock" xlink:label="RiskManagementClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_MetricsAndTargetsClimateChangeTextBlock" xlink:label="MetricsAndTargetsClimateChangeTextBlock" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:label="ReferenceToOtherInformationMetricsAndTargetsClimateChange" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" xlink:label="PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_ShimadaKazuichiMember" xlink:label="ShimadaKazuichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_NakamuraDaisukeMember" xlink:label="NakamuraDaisukeMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_AkisawaShoichiMember" xlink:label="AkisawaShoichiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_YamagishiNaohitoMember" xlink:label="YamagishiNaohitoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_UchidaKanameMember" xlink:label="UchidaKanameMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_KanamaruYukoMember" xlink:label="KanamaruYukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_MiuraYukoMember" xlink:label="MiuraYukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_KimuraMasakiMember" xlink:label="KimuraMasakiMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_WatanabeAkihitoMember" xlink:label="WatanabeAkihitoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_RealEstateRevenueRevOA" xlink:label="RealEstateRevenueRevOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_EnergyBusinessRevenueRevOA" xlink:label="EnergyBusinessRevenueRevOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_OtherBusinessRevenueRevOA" xlink:label="OtherBusinessRevenueRevOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_TotalNetSalesAndOperatingRevenue" xlink:label="TotalNetSalesAndOperatingRevenue" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_CostOfRealEstateBusinessCOSExpOA" xlink:label="CostOfRealEstateBusinessCOSExpOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_CostOfEnergyBusinessCOSExpOA" xlink:label="CostOfEnergyBusinessCOSExpOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_CostOfOtherBusinessCOSExpOA" xlink:label="CostOfOtherBusinessCOSExpOA" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_ArrangementFeesNOE" xlink:label="ArrangementFeesNOE" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_ChangesDueToExclusionOfSubsidiariesFromConsolidation" xlink:label="ChangesDueToExclusionOfSubsidiariesFromConsolidation" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_RealEstateBusinessReportableSegmentsMember" xlink:label="RealEstateBusinessReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_EnergyBusinessReportableSegmentsMember" xlink:label="EnergyBusinessReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_AssetManagementBusinessReportableSegmentsMember" xlink:label="AssetManagementBusinessReportableSegmentsMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_GainOnExchangeOfNonCurrentAssetsEI" xlink:label="GainOnExchangeOfNonCurrentAssetsEI" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_OfficeRelocationExpensesOpeCF" xlink:label="OfficeRelocationExpensesOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_GainOnExchangeOfNonCurrentAssetsOpeCF" xlink:label="GainOnExchangeOfNonCurrentAssetsOpeCF" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_CompensationLossForConstructionEL" xlink:label="CompensationLossForConstructionEL" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_DecreaseByAbsorptionTypeDemerger" xlink:label="DecreaseByAbsorptionTypeDemerger" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_AccountsReceivableFromCompletedConstructionContracts" xlink:label="AccountsReceivableFromCompletedConstructionContracts" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_OnoYasukoMember" xlink:label="OnoYasukoMember" />
    <link:loc xlink:type="locator" xlink:href="jpcrp030000-asr-001_E03997-000_2025-03-31_01_2025-06-25.xsd#jpcrp030000-asr_E03997-000_ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" xlink:label="ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" />
    <link:label xlink:type="resource" xlink:label="label_ChangesDueToExclusionOfSubsidiariesFromConsolidation" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ChangesDueToExclusionOfSubsidiariesFromConsolidation">Changes due to exclusion of subsidiaries from consolidation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesDueToExclusionOfSubsidiariesFromConsolidation" xlink:to="label_ChangesDueToExclusionOfSubsidiariesFromConsolidation" />
    <link:label xlink:type="resource" xlink:label="label_ChangesDueToExclusionOfSubsidiariesFromConsolidation_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ChangesDueToExclusionOfSubsidiariesFromConsolidation_2">Changes due to exclusion of subsidiaries from consolidation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ChangesDueToExclusionOfSubsidiariesFromConsolidation" xlink:to="label_ChangesDueToExclusionOfSubsidiariesFromConsolidation_2" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseByAbsorptionTypeDemerger_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_DecreaseByAbsorptionTypeDemerger_2">Decrease by absorption-type demerger</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseByAbsorptionTypeDemerger" xlink:to="label_DecreaseByAbsorptionTypeDemerger_2" />
    <link:label xlink:type="resource" xlink:label="label_DecreaseByAbsorptionTypeDemerger" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_DecreaseByAbsorptionTypeDemerger">Decrease by absorption-type demerger</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="DecreaseByAbsorptionTypeDemerger" xlink:to="label_DecreaseByAbsorptionTypeDemerger" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GovernanceClimateChangeTextBlock_2">Governance, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceClimateChangeTextBlock" xlink:to="label_GovernanceClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_GovernanceClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GovernanceClimateChangeTextBlock">Governance, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GovernanceClimateChangeTextBlock" xlink:to="label_GovernanceClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_StrategyClimateChangeTextBlock_2">Strategy, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_StrategyClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_StrategyClimateChangeTextBlock">Strategy, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="StrategyClimateChangeTextBlock" xlink:to="label_StrategyClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RiskManagementClimateChangeTextBlock_2">Risk management, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementClimateChangeTextBlock" xlink:to="label_RiskManagementClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_RiskManagementClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RiskManagementClimateChangeTextBlock">Risk management, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RiskManagementClimateChangeTextBlock" xlink:to="label_RiskManagementClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MetricsAndTargetsClimateChangeTextBlock_2">Metrics and targets, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_MetricsAndTargetsClimateChangeTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MetricsAndTargetsClimateChangeTextBlock">Metrics and targets, Climate change [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MetricsAndTargetsClimateChangeTextBlock" xlink:to="label_MetricsAndTargetsClimateChangeTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange_2">Reference to other information</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange_2" />
    <link:label xlink:type="resource" xlink:label="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange">Reference to other information, Metrics and targets, Climate change</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ReferenceToOtherInformationMetricsAndTargetsClimateChange" xlink:to="label_ReferenceToOtherInformationMetricsAndTargetsClimateChange" />
    <link:label xlink:type="resource" xlink:label="label_AccountsReceivableFromCompletedConstructionContracts" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AccountsReceivableFromCompletedConstructionContracts">Accounts receivable from completed construction contracts</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccountsReceivableFromCompletedConstructionContracts" xlink:to="label_AccountsReceivableFromCompletedConstructionContracts" />
    <link:label xlink:type="resource" xlink:label="label_AccountsReceivableFromCompletedConstructionContracts_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AccountsReceivableFromCompletedConstructionContracts_2">Accounts receivable from completed construction contracts</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AccountsReceivableFromCompletedConstructionContracts" xlink:to="label_AccountsReceivableFromCompletedConstructionContracts_2" />
    <link:label xlink:type="resource" xlink:label="label_PowerProductionUnitsForSaleCA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PowerProductionUnitsForSaleCA">Power production units for sale</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PowerProductionUnitsForSaleCA" xlink:to="label_PowerProductionUnitsForSaleCA" />
    <link:label xlink:type="resource" xlink:label="label_PowerProductionUnitsForSaleCA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PowerProductionUnitsForSaleCA_2">Power production units for sale -CA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PowerProductionUnitsForSaleCA" xlink:to="label_PowerProductionUnitsForSaleCA_2" />
    <link:label xlink:type="resource" xlink:label="label_LeaseAndGuaranteeDepositsReceivedNCL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_LeaseAndGuaranteeDepositsReceivedNCL">lease and guarantee deposits received</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LeaseAndGuaranteeDepositsReceivedNCL" xlink:to="label_LeaseAndGuaranteeDepositsReceivedNCL" />
    <link:label xlink:type="resource" xlink:label="label_LeaseAndGuaranteeDepositsReceivedNCL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_LeaseAndGuaranteeDepositsReceivedNCL_2">lease and guarantee deposits received-NCL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="LeaseAndGuaranteeDepositsReceivedNCL" xlink:to="label_LeaseAndGuaranteeDepositsReceivedNCL_2" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock">Notes regarding transfer due to change in purpose of holding</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock" xlink:to="label_NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock" />
    <link:label xlink:type="resource" xlink:label="label_NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock_2">Notes regarding transfer due to change in purpose of holding [text block]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock" xlink:to="label_NotesRegardingTransferDueToChangeInPurposeOfHoldingTextBlock_2" />
    <link:label xlink:type="resource" xlink:label="label_OtherBusinessRevenueRevOA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OtherBusinessRevenueRevOA_2">Other business revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherBusinessRevenueRevOA" xlink:to="label_OtherBusinessRevenueRevOA_2" />
    <link:label xlink:type="resource" xlink:label="label_OtherBusinessRevenueRevOA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OtherBusinessRevenueRevOA">Other business revenue -RevOA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OtherBusinessRevenueRevOA" xlink:to="label_OtherBusinessRevenueRevOA" />
    <link:label xlink:type="resource" xlink:label="label_EnergyBusinessRevenueRevOA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EnergyBusinessRevenueRevOA">Energy business revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EnergyBusinessRevenueRevOA" xlink:to="label_EnergyBusinessRevenueRevOA" />
    <link:label xlink:type="resource" xlink:label="label_EnergyBusinessRevenueRevOA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EnergyBusinessRevenueRevOA_2">Energy business revenue -RevOA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EnergyBusinessRevenueRevOA" xlink:to="label_EnergyBusinessRevenueRevOA_2" />
    <link:label xlink:type="resource" xlink:label="label_TotalNetSalesAndOperatingRevenue" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_TotalNetSalesAndOperatingRevenue">Total net sales and operating revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalNetSalesAndOperatingRevenue" xlink:to="label_TotalNetSalesAndOperatingRevenue" />
    <link:label xlink:type="resource" xlink:label="label_TotalNetSalesAndOperatingRevenue_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_TotalNetSalesAndOperatingRevenue_2">Total net sales and operating revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalNetSalesAndOperatingRevenue" xlink:to="label_TotalNetSalesAndOperatingRevenue_2" />
    <link:label xlink:type="resource" xlink:label="label_TotalNetSalesAndOperatingRevenue_3" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/totalLabel" id="label_TotalNetSalesAndOperatingRevenue_3">Total net sales and operating revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="TotalNetSalesAndOperatingRevenue" xlink:to="label_TotalNetSalesAndOperatingRevenue_3" />
    <link:label xlink:type="resource" xlink:label="label_CostOfRealEstateBusinessCOSExpOA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CostOfRealEstateBusinessCOSExpOA">Cost of real estate business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfRealEstateBusinessCOSExpOA" xlink:to="label_CostOfRealEstateBusinessCOSExpOA" />
    <link:label xlink:type="resource" xlink:label="label_CostOfRealEstateBusinessCOSExpOA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CostOfRealEstateBusinessCOSExpOA_2">Cost of real estate business -COSExpOA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfRealEstateBusinessCOSExpOA" xlink:to="label_CostOfRealEstateBusinessCOSExpOA_2" />
    <link:label xlink:type="resource" xlink:label="label_CostOfEnergyBusinessCOSExpOA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CostOfEnergyBusinessCOSExpOA">Cost of energy business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfEnergyBusinessCOSExpOA" xlink:to="label_CostOfEnergyBusinessCOSExpOA" />
    <link:label xlink:type="resource" xlink:label="label_CostOfEnergyBusinessCOSExpOA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CostOfEnergyBusinessCOSExpOA_2">Cost of energy business -COSExpOA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfEnergyBusinessCOSExpOA" xlink:to="label_CostOfEnergyBusinessCOSExpOA_2" />
    <link:label xlink:type="resource" xlink:label="label_CostOfOtherBusinessCOSExpOA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CostOfOtherBusinessCOSExpOA_2">Cost of other business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfOtherBusinessCOSExpOA" xlink:to="label_CostOfOtherBusinessCOSExpOA_2" />
    <link:label xlink:type="resource" xlink:label="label_CostOfOtherBusinessCOSExpOA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CostOfOtherBusinessCOSExpOA">Cost of other business -COSExpOA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CostOfOtherBusinessCOSExpOA" xlink:to="label_CostOfOtherBusinessCOSExpOA" />
    <link:label xlink:type="resource" xlink:label="label_ArrangementFeesNOE" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ArrangementFeesNOE">Arrangement fees</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ArrangementFeesNOE" xlink:to="label_ArrangementFeesNOE" />
    <link:label xlink:type="resource" xlink:label="label_ArrangementFeesNOE_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ArrangementFeesNOE_2">Arrangement fees - NOE</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ArrangementFeesNOE" xlink:to="label_ArrangementFeesNOE_2" />
    <link:label xlink:type="resource" xlink:label="label_GainOnExchangeOfNonCurrentAssetsEI" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GainOnExchangeOfNonCurrentAssetsEI">Gain on exchange of non-current assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnExchangeOfNonCurrentAssetsEI" xlink:to="label_GainOnExchangeOfNonCurrentAssetsEI" />
    <link:label xlink:type="resource" xlink:label="label_GainOnExchangeOfNonCurrentAssetsEI_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GainOnExchangeOfNonCurrentAssetsEI_2">Gain on exchange of non-current assets-EI</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnExchangeOfNonCurrentAssetsEI" xlink:to="label_GainOnExchangeOfNonCurrentAssetsEI_2" />
    <link:label xlink:type="resource" xlink:label="label_CompensationLossForConstructionEL" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_CompensationLossForConstructionEL">Compensation loss for construction</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompensationLossForConstructionEL" xlink:to="label_CompensationLossForConstructionEL" />
    <link:label xlink:type="resource" xlink:label="label_CompensationLossForConstructionEL_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_CompensationLossForConstructionEL_2">Compensation loss for construction-EL</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="CompensationLossForConstructionEL" xlink:to="label_CompensationLossForConstructionEL_2" />
    <link:label xlink:type="resource" xlink:label="label_RealEstateRevenueRevOA" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RealEstateRevenueRevOA">Real estate revenue</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RealEstateRevenueRevOA" xlink:to="label_RealEstateRevenueRevOA" />
    <link:label xlink:type="resource" xlink:label="label_RealEstateRevenueRevOA_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RealEstateRevenueRevOA_2">Real estate revenue -RevOA</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RealEstateRevenueRevOA" xlink:to="label_RealEstateRevenueRevOA_2" />
    <link:label xlink:type="resource" xlink:label="label_ShimadaKazuichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ShimadaKazuichiMember">Shimada, Kazuichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimadaKazuichiMember" xlink:to="label_ShimadaKazuichiMember" />
    <link:label xlink:type="resource" xlink:label="label_ShimadaKazuichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ShimadaKazuichiMember_2">Shimada, Kazuichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ShimadaKazuichiMember" xlink:to="label_ShimadaKazuichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NakamuraDaisukeMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_NakamuraDaisukeMember_2">Nakamura, Daisuke</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakamuraDaisukeMember" xlink:to="label_NakamuraDaisukeMember_2" />
    <link:label xlink:type="resource" xlink:label="label_NakamuraDaisukeMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_NakamuraDaisukeMember">Nakamura, Daisuke [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="NakamuraDaisukeMember" xlink:to="label_NakamuraDaisukeMember" />
    <link:label xlink:type="resource" xlink:label="label_AkisawaShoichiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AkisawaShoichiMember_2">Akisawa, Shoichi</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AkisawaShoichiMember" xlink:to="label_AkisawaShoichiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AkisawaShoichiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AkisawaShoichiMember">Akisawa, Shoichi [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AkisawaShoichiMember" xlink:to="label_AkisawaShoichiMember" />
    <link:label xlink:type="resource" xlink:label="label_YamagishiNaohitoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_YamagishiNaohitoMember">Yamagishi, Naohito</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamagishiNaohitoMember" xlink:to="label_YamagishiNaohitoMember" />
    <link:label xlink:type="resource" xlink:label="label_YamagishiNaohitoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_YamagishiNaohitoMember_2">Yamagishi, Naohito [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="YamagishiNaohitoMember" xlink:to="label_YamagishiNaohitoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UchidaKanameMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_UchidaKanameMember_2">Uchida, Kaname</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UchidaKanameMember" xlink:to="label_UchidaKanameMember_2" />
    <link:label xlink:type="resource" xlink:label="label_UchidaKanameMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_UchidaKanameMember">Uchida, Kaname [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="UchidaKanameMember" xlink:to="label_UchidaKanameMember" />
    <link:label xlink:type="resource" xlink:label="label_KanamaruYukoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KanamaruYukoMember_2">Kanamaru, Yuko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KanamaruYukoMember" xlink:to="label_KanamaruYukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KanamaruYukoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KanamaruYukoMember">Kanamaru, Yuko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KanamaruYukoMember" xlink:to="label_KanamaruYukoMember" />
    <link:label xlink:type="resource" xlink:label="label_OnoYasukoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OnoYasukoMember">Ono, Yasuko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OnoYasukoMember" xlink:to="label_OnoYasukoMember" />
    <link:label xlink:type="resource" xlink:label="label_OnoYasukoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OnoYasukoMember_2">Ono, Yasuko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OnoYasukoMember" xlink:to="label_OnoYasukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_MiuraYukoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_MiuraYukoMember">Miura, Yuko</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiuraYukoMember" xlink:to="label_MiuraYukoMember" />
    <link:label xlink:type="resource" xlink:label="label_MiuraYukoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_MiuraYukoMember_2">Miura, Yuko [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="MiuraYukoMember" xlink:to="label_MiuraYukoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KimuraMasakiMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_KimuraMasakiMember_2">Kimura, Masaki</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraMasakiMember" xlink:to="label_KimuraMasakiMember_2" />
    <link:label xlink:type="resource" xlink:label="label_KimuraMasakiMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_KimuraMasakiMember">Kimura, Masaki [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="KimuraMasakiMember" xlink:to="label_KimuraMasakiMember" />
    <link:label xlink:type="resource" xlink:label="label_WatanabeAkihitoMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_WatanabeAkihitoMember_2">Watanabe, Akihito</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WatanabeAkihitoMember" xlink:to="label_WatanabeAkihitoMember_2" />
    <link:label xlink:type="resource" xlink:label="label_WatanabeAkihitoMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_WatanabeAkihitoMember">Watanabe, Akihito [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="WatanabeAkihitoMember" xlink:to="label_WatanabeAkihitoMember" />
    <link:label xlink:type="resource" xlink:label="label_RealEstateBusinessReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_RealEstateBusinessReportableSegmentsMember">Real estate business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RealEstateBusinessReportableSegmentsMember" xlink:to="label_RealEstateBusinessReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_RealEstateBusinessReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_RealEstateBusinessReportableSegmentsMember_2">Real estate business, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="RealEstateBusinessReportableSegmentsMember" xlink:to="label_RealEstateBusinessReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_EnergyBusinessReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_EnergyBusinessReportableSegmentsMember">Energy business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EnergyBusinessReportableSegmentsMember" xlink:to="label_EnergyBusinessReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_EnergyBusinessReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_EnergyBusinessReportableSegmentsMember_2">Energy business, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="EnergyBusinessReportableSegmentsMember" xlink:to="label_EnergyBusinessReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_AssetManagementBusinessReportableSegmentsMember" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_AssetManagementBusinessReportableSegmentsMember">Asset management business</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AssetManagementBusinessReportableSegmentsMember" xlink:to="label_AssetManagementBusinessReportableSegmentsMember" />
    <link:label xlink:type="resource" xlink:label="label_AssetManagementBusinessReportableSegmentsMember_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_AssetManagementBusinessReportableSegmentsMember_2">Asset management business, Reportable segments [member]</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="AssetManagementBusinessReportableSegmentsMember" xlink:to="label_AssetManagementBusinessReportableSegmentsMember_2" />
    <link:label xlink:type="resource" xlink:label="label_OfficeRelocationExpensesOpeCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_OfficeRelocationExpensesOpeCF">Office relocation expenses</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OfficeRelocationExpensesOpeCF" xlink:to="label_OfficeRelocationExpensesOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_OfficeRelocationExpensesOpeCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_OfficeRelocationExpensesOpeCF_2">Office relocation expenses-OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="OfficeRelocationExpensesOpeCF" xlink:to="label_OfficeRelocationExpensesOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_GainOnExchangeOfNonCurrentAssetsOpeCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_GainOnExchangeOfNonCurrentAssetsOpeCF">Gain on exchange of non-current assets</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnExchangeOfNonCurrentAssetsOpeCF" xlink:to="label_GainOnExchangeOfNonCurrentAssetsOpeCF" />
    <link:label xlink:type="resource" xlink:label="label_GainOnExchangeOfNonCurrentAssetsOpeCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_GainOnExchangeOfNonCurrentAssetsOpeCF_2">Gain on exchange of non-current assets-OpeCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="GainOnExchangeOfNonCurrentAssetsOpeCF" xlink:to="label_GainOnExchangeOfNonCurrentAssetsOpeCF_2" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF">Purchase of subsidiaries stocks and others resulting in change in scope of consolidation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" xlink:to="label_PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" />
    <link:label xlink:type="resource" xlink:label="label_PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF_2">Purchase of subsidiaries stocks and others resulting in change in scope of consolidation-InvCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" xlink:to="label_PurchaseOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF_2" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/label" id="label_ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF">Proceeds of subsidiaries stocks and others resulting in change in scope of consolidation</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" xlink:to="label_ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" />
    <link:label xlink:type="resource" xlink:label="label_ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF_2" xml:lang="en" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" id="label_ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF_2">Proceeds of subsidiaries stocks and others resulting in change in scope of consolidation-InvCF</link:label>
    <link:labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF" xlink:to="label_ProceedsOfSubsidiariesStocksAndOthersResultingInChangeInScopeOfConsolidationInvCF_2" />
  </link:labelLink>
</link:linkbase>